#include "CivAssembly.h"

Str CivAssembly::toString()
{
	return Str();
}

void CivNode::addItem(NodeTable table)
{ 
	mTables.push_back(table);
}

void CivNode::addItems(std::list<NodeTable> tables)
{ 
	// mTables.merge(tables);
}

void CivPipe::addItem(PipesTable table) 
{ 
	mTables.push_back(table);
}

void CivPipe::addItems(std::list<PipesTable> tables)
{ 
	//mTables.merge(tables); 
}

void CivTank::addItem(TankTable table) 
{ 
	mTables.push_back(table);
}

void CivTank::addItems(std::list<TankTable> tables)
{ 
	//mTables.merge(tables);
}

void CivValve::addItem(ValveTable table) 
{ 
	mTables.push_back(table);
}

void CivValve::addItems(std::list<ValveTable> tables) 
{ 
	//mTables.merge(tables); 
}


void CivPumps::addItem(PumpTable table) 
{ 
	mTables.push_back(table); 
}

void CivPumps::addItems(std::list<PumpTable> tables) 
{ 
	//mTables.merge(tables);
}

void CivReservoirs::addItem(ReservoirsTable table)
{ 
	mTables.push_back(table); 
}

void CivReservoirs::addItems(std::list<ReservoirsTable> tables) 
{ 
	//mTables.merge(tables);
}

void CivEmitters::addItem(EmittersTable table)
{ 
	mTables.push_back(table);
}

void CivEmitters::addItems(std::list<EmittersTable> tables)
{ 
	//mTables.merge(tables);
}

void CivCoordinates::addItem(CoordTable table) 
{ 
	mTables.push_back(table);
}

void CivCoordinates::addItems(std::list<CoordTable> tables) 
{ 
	//mTables.merge(tables);
}

void CivMixing::addItem(MixingTable table) 
{ 
	mTables.push_back(table);
}

void CivMixing::addItems(std::list<MixingTable> tables) 
{ 
	//mTables.merge(tables);
}

void CivParameter::addItem(ParamTable table) 
{ 
	mTables.push_back(table); 
}

void CivParameter::addItems(std::list<ParamTable> tables)
{ 
	//mTables.merge(tables); 
}

void CivPatterns::addItem(PatternTable table) 
{ 
	mTables.push_back(table);
}

void CivPatterns::addItems(std::list<PatternTable> tables) 
{ 
	//mTables.merge(tables);
}

void CivCurves::addItem(CurvesTable table)
{ 
	mTables.push_back(table); 
}

void CivCurves::addItems(std::list<CurvesTable> tables) 
{ 
	//mTables.merge(tables);
}

void CivDemands::addItem(DemandsTable table) 
{ 
	mTables.push_back(table); 
}

void CivDemands::addItems(std::list<DemandsTable> tables)
{ 
	//mTables.merge(tables);
}

void CivSources::addItem(CurvesTable table)
{ 
	mTables.push_back(table);
}

void CivSources::addItems(std::list<CurvesTable> tables)
{ 
	//mTables.merge(tables); 
}

void CivStatus::addItem(StatusTable table) 
{ 
	mTables.push_back(table);
}

void CivStatus::addItems(std::list<StatusTable> tables)
{ 
	//mTables.merge(tables);
}

void CivQuality::addItem(QualityTable table)
{ 
	mTables.push_back(table);
}

void CivQuality::addItems(std::list<QualityTable> tables) 
{ 
	//mTables.merge(tables);
}

void CivLabels::addItem(LabelTable table)
{ 
	mTables.push_back(table); 
}

void CivLabels::addItems(std::list<LabelTable> tables) 
{ 
	//mTables.merge(tables);
}

void CivTags::addItem(TagsTable table) 
{ 
	mTables.push_back(table); 

}

void CivTags::addItems(std::list<TagsTable> tables)
{ 
	//mTables.merge(tables); 
}